Package wx :: Class SashEvent

[frames | no frames]

## Type SashEvent

    object --+
             |
        Object --+
                 |
             Event --+
                     |
          CommandEvent --+
                         |
                        SashEvent

Proxy of C++ SashEvent class

Method Summary
CommandEvent | ``__init__`(self, commandType, winid)` This event class contains information about command events, which originate from a variety of simple controls, as well as menus and toolbars.
Rect | `GetDragRect(self)`
int | `GetDragStatus(self)`
int | `GetEdge(self)`
| `SetDragRect(self, rect)`
| `SetDragStatus(self, status)`
| `SetEdge(self, edge)`

Property Summary
| `DragRect`: See `GetDragRect` and `SetDragRect`
| `DragStatus`: See `GetDragStatus` and `SetDragStatus`
| `Edge`: See `GetEdge` and `SetEdge`
| `thisown`: The membership flag

Method Details

### __init__(self, id=0, edge=SASH_NONE)
(Constructor)

This event class contains information about command events, which originate from a variety of simple controls, as well as menus and toolbars.

  Parameters:
    `commandType`
    (type=EventType)

    `winid`
    (type=int)

  Returns:
    CommandEvent
  Overrides:
    `wx.CommandEvent.__init__` (inherited documentation)

Property Details

### DragRect

See `GetDragRect` and `SetDragRect`

  Get Method:
    `GetDragRect`(self)
  Set Method:
    `SetDragRect`(self, rect)

### DragStatus

See `GetDragStatus` and `SetDragStatus`

  Get Method:
    `GetDragStatus`(self)
  Set Method:
    `SetDragStatus`(self, status)

### Edge

See `GetEdge` and `SetEdge`

  Get Method:
    `GetEdge`(self)
  Set Method:
    `SetEdge`(self, edge)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:11:28 2007 | http://epydoc.sf.net